From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/gloox/
Date: Fri, 24 Feb 2017 10:35:11 +0000 (UTC) [thread overview]
Message-ID: <1487932504.5c38a3d82b6b4792aab638a0bfaefb18364b18b8.polynomial-c@gentoo> (raw)
commit: 5c38a3d82b6b4792aab638a0bfaefb18364b18b8
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 24 10:23:42 2017 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Feb 24 10:35:04 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c38a3d8
net-libs/gloox: Bump to version 1.0.19
Package-Manager: Portage-2.3.3, Repoman-2.3.1
net-libs/gloox/Manifest | 1 +
net-libs/gloox/gloox-1.0.19.ebuild | 45 ++++++++++++++++++++++++++++++++++++++
2 files changed, 46 insertions(+)
diff --git a/net-libs/gloox/Manifest b/net-libs/gloox/Manifest
index e4ddbe7f0c..fed4b62c8b 100644
--- a/net-libs/gloox/Manifest
+++ b/net-libs/gloox/Manifest
@@ -1,3 +1,4 @@
DIST gloox-1.0.17.tar.bz2 698239 SHA256 31a7825b975b2dbe43974e78b42f22b7328df1058f0be26970a7665bb20c8025 SHA512 8595586da391fa23f54eff7c8eb514e7000d3569eac3846edc28da02ec2da409f46013de93dd6d4b5185965675fc22ff2c96f031afa581e2d9243469b1b419f2 WHIRLPOOL a8b47ae64c76fc3b57b77d9241cb3aa14e576eb496776635c8fc9a36d9b22795f92c0d1c74da53483b6663e6b9b1f42dd2d0743af8bd9977c0d3a453c55f4246
DIST gloox-1.0.18.tar.bz2 700080 SHA256 16730e7fd4679e098a6d6c1f94ee72aca825e8f40e6744f5921ac32fdf22548e SHA512 b8387796914e237fa07cff17862f8eafad8506173a3bcd7a659158daf845a33606b3ec58822c2f0f8f629aa1ee68a2ac58489dba83516cb7da264da3678317a7 WHIRLPOOL 6b38e7e3d480083fd98fc4d5f8c2402faf1c5242d3201c29d40995cafd2aadafb20780c7219a1a55497ab95754ea1c5b8f79756fed9f2f3b84780dc060f4b1d0
+DIST gloox-1.0.19.tar.bz2 700335 SHA256 88466ab52ca99bfb22a74b738d9713a9cda0b06e539108354156ba408a5283f8 SHA512 6f62773aeb24631ea5edbbf2267275f9e6005bed240dfbd121784238709d85097a096d16b3cd7cb45d34b2daeab026dbb3b84994c504ba03180d9dff90f9fbb5 WHIRLPOOL 98586156b3a88807b3f1aca25b9fb06f17581b4a1e834cf1692b406b879f4f759ec424dfb36527bc0945774a798647a8b033a9ae860960b4f214f9a35051c00f
DIST gloox-1.0.9.tar.bz2 670206 SHA256 143dd50e1edc4eb1d304fa28bdd6ab9e53b60c37c1726dd0e34c06c51f9a453e SHA512 a3fa7acc76fdca0421030e71b6a13ca0b04589946df2a781609f1bddae5329299d68ce99a4a94a0760206b112759636379ce67d220422b99302fc799964bfa22 WHIRLPOOL 414eb34fa3ec11ae929f84198d95ed0da9de0739655ae1188ac3eb03998de5cecb9c165ad284496b405b49126236b628dc5b4579e855b10377add145fabb63b1
diff --git a/net-libs/gloox/gloox-1.0.19.ebuild b/net-libs/gloox/gloox-1.0.19.ebuild
new file mode 100644
index 0000000000..e8a12c9818
--- /dev/null
+++ b/net-libs/gloox/gloox-1.0.19.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+MY_P="${P/_/-}"
+DESCRIPTION="A portable high-level Jabber/XMPP library for C++"
+HOMEPAGE="http://camaya.net/gloox"
+SRC_URI="http://camaya.net/download/${MY_P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0/16"
+KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~ia64 ~sparc ~x86"
+IUSE="debug gnutls idn libressl ssl static-libs test zlib"
+
+DEPEND="idn? ( net-dns/libidn )
+ gnutls? ( net-libs/gnutls )
+ ssl? (
+ !libressl? ( dev-libs/openssl:0 )
+ libressl? ( dev-libs/libressl )
+ )
+ zlib? ( sys-libs/zlib )"
+
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+ # Examples are not installed anyway, so - why should we build them?
+ econf \
+ --without-examples \
+ $(usex debug "--enable-debug" '') \
+ $(use_enable static-libs static) \
+ $(use_with idn libidn) \
+ $(use_with gnutls) \
+ $(use_with ssl openssl) \
+ $(use_with test tests) \
+ $(use_with zlib)
+}
+
+src_install() {
+ default
+ find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
+}
next reply other threads:[~2017-02-24 10:35 UTC|newest]
Thread overview: 28+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-02-24 10:35 Lars Wendler [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-19 5:45 [gentoo-commits] repo/gentoo:master commit in: net-libs/gloox/ Joonas Niilola
2024-09-17 7:41 Joonas Niilola
2024-08-30 7:25 Joonas Niilola
2024-08-30 7:25 Joonas Niilola
2021-05-02 10:16 Mikle Kolyada
2020-10-10 7:11 Sam James
2020-10-10 7:10 Sam James
2020-09-05 0:35 Sam James
2019-08-28 15:48 Stefan Strogin
2019-03-24 0:59 Lars Wendler
2019-03-24 0:59 Lars Wendler
2018-06-22 11:29 Lars Wendler
2018-05-20 23:26 Aaron Bauman
2018-05-16 19:33 Lars Wendler
2017-10-22 0:03 Andreas Sturmlechner
2017-02-28 14:59 Lars Wendler
2017-02-24 10:35 Lars Wendler
2016-11-17 18:55 Lars Wendler
2016-11-17 18:55 Lars Wendler
2016-09-03 0:08 Lars Wendler
2016-09-03 0:08 Lars Wendler
2016-07-21 9:51 Lars Wendler
2016-07-21 9:51 Lars Wendler
2016-06-14 12:01 Lars Wendler
2016-06-14 12:01 Lars Wendler
2015-09-30 20:30 Julian Ospald
2015-08-26 0:53 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1487932504.5c38a3d82b6b4792aab638a0bfaefb18364b18b8.polynomial-c@gentoo \
--to=polynomial-c@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox